Cyan Web API - Version 1


GET api/deviceApplications?{deviceId}&{applicationId}

            Gets a DeviceApplication.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceId

Define this parameter in the request URI.

applicationId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "deviceId": "20530458-ebb2-4c0c-9977-074f59d6cae0",
  "applicationId": "5f379d65-89b9-4143-a416-a8e1c8a4d22c",
  "isLicensed": true,
  "createdDateUtc": "2026-05-11T10:09:59.0050767+00:00",
  "updatedDateUtc": "2026-05-11T10:09:59.0050767+00:00"
}

application/xml, text/xml

Sample:
<DeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-11T10:09:59.0050767+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-11T10:09:59.0050767+00:00</UpdatedDateUtc>
  <ApplicationId>5f379d65-89b9-4143-a416-a8e1c8a4d22c</ApplicationId>
  <DeviceId>20530458-ebb2-4c0c-9977-074f59d6cae0</DeviceId>
  <IsLicensed>true</IsLicensed>
</DeviceApplicationRepresentation>